/** Classe activityFilter
  * @see http://www.qtcentre.org/threads/1464-Detecting-user-inaction
  * @author
  * @see
  *
  * Utilisation, dans votre main.cpp (a étant la abuleduapplication)
  *
  * activityFilter *ef;
  * ef = new activityFilter(&a);
  * a.installEventFilter(ef);
  * QObject::connect(ef, SIGNAL( userInactive() ),
  *                  w,  SLOT( slotDemo() ));
  *
  * Et dans la classe "w" un slot
  * public slots:
  *   void slotDemo();
  *
  *
  */

#include "activityfilter.h"

activityFilter::activityFilter(QObject *parent) : QObject(parent), _interval(3000)
{
    timer = new QTimer(this);
    timer->start(_interval);
    connect(timer, SIGNAL(timeout()), this, SLOT(timeout()));
}

bool activityFilter::eventFilter(QObject *obj, QEvent *event)
{
    if (event->type() != QEvent::Timer) // this is needed or else the timer is reset by its own timeout signal event before the signal is sent
        timer->start(_interval);
    return QObject::eventFilter(obj, event); // just a wrapper, we don't want to override any events
}

void activityFilter::timeout()
{
//    qDebug() << "user timeout";
    emit userInactive();
}
