/**
  * Classe 
  * @see https://redmine.ryxeo.com/projects/
  * @author 2012 Eric Seigne <eric.seigne@ryxeo.com>
  * @see The GNU Public License (GNU/GPL) v3
  *
  *
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  * for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program. If not, see <http://www.gnu.org/licenses/>.
  */


#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDir>
#include <QFileDialog>
#include "qrencode.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    void genCode(QString str);
    void genCodeMail();
    void genCodeSMS();
    void on_teText_textChanged();
    void on_leURL_textChanged(const QString &arg1);
    void on_leMailAddress_textChanged(const QString &arg1);
    void on_leMailSubject_textChanged(const QString &arg1);
    void on_teMailMess_textChanged();
    void on_leSMSNum_textChanged(const QString &arg1);
    void on_teSMSMess_textChanged();
    void on_leTelNum_textChanged(const QString &arg1);
    void on_btnSaveAs_clicked();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
